Updates a meter's channel If a channel version exists and is not passed into the request body it will continue to exist and no data will be changed. To delete a specific channel version call DELETE meter/{meterId}/channel/{channelId}/version/{versionId}
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| meterId | Id of the meter the channel is linked to | integer (int32) | Required |
| channelId | Id of the channel to update | integer (int32) | Required |
Request Body
ChannelEditV202101
| Property | Description | Type | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| channelDescription | Description of the channel Must be between 0 and 4000 characters Required (defined) | string | ||||||||||||||||||||||||||||||
| channelImportId | The import identifier for the channel. Must be between 0 and 255 characters Required (defined) | string | ||||||||||||||||||||||||||||||
| channelVersion | ChannelVersionRequestV202101 | |||||||||||||||||||||||||||||||
|
ChannelVersionRequestV202101 properties
|
||||||||||||||||||||||||||||||||
| intervalMinutes | The interval of the channel. The interval is measured in minutes Standard intervals are 15 = FifteenMinute, 30 = ThirtyMinute, 60 = Hourly, 1440 = Daily, 10080 = Weekly, 43200 = Monthly Required Must be between 1 and 2147483647 | integer (int32) | ||||||||||||||||||||||||||||||
| observationTypeCode | The observation type of the channel Required | string | ||||||||||||||||||||||||||||||
Example Request Body
{ "channelDescription": "string", "channelImportId": "string", "channelVersion": { "maximumReading": 1.0, "multiplier": 1.0, "observationRule": "string", "udfs": [
{ "udfId": 1, "value": "string"
}
], "unitCode": "string"
}, "intervalMinutes": 1, "observationTypeCode": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
ChannelResponseV202101
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| channelDescription | Description of the channel | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| channelId | The channel identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| channelImportId | The import identifier for the channel. | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| channelVersions | List of channel versions Versions include channel settings that may change over time | ChannelVersionResponseV202101[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ChannelVersionResponseV202101 properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| firstReadingDate | Date of the earliest reading for the channel | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| hasReadings | Indicates if the channel has readings | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| intervalMinutes | The interval of the channel. The interval is measured in minutes | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| isUsedOnDistribution | Indicates if the channel is a part of a distribution | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| lastReadingDate | Date of the most recent reading for the channel | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meter | MeterChildIncludeMeterImportIdAndRoute | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
MeterChildIncludeMeterImportIdAndRoute properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| observationType | ObservationTypeChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ObservationTypeChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "channelDescription": "string", "channelId": 1, "channelImportId": "string", "channelVersions": [
{ "beginDate": "2026-03-30", "channelVersionId": 1, "endDate": "2026-03-30", "maximumReading": 1.0, "multiplier": 1.0, "observationRule": { "observationRuleCode": "string", "observationRuleId": 1, "observationRuleInfo": "string"
}, "udfs": [
{ "dataType": {}, "description": "string", "displayOrder": 1, "important": false, "name": "string", "udfId": 1, "udfSelectValues": [], "value": "string"
}
], "unit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
}
], "firstReadingDate": "2026-03-30", "hasReadings": false, "intervalMinutes": 1, "isUsedOnDistribution": false, "lastReadingDate": "2026-03-30", "meter": { "active": false, "commodity": { "commodityCode": "string", "commodityIcon": {}, "commodityId": 1, "commodityInfo": "string"
}, "isCalculatedMeter": false, "isEsaCalculatedMeter": false, "isSplitChildMeter": false, "isSplitParentMeter": false, "meterCode": "string", "meterId": 1, "meterImportId": "string", "meterInfo": "string", "meterType": { "meterTypeCode": "string", "meterTypeId": 1, "meterTypeInfo": "string"
}, "route": { "routeCode": "string", "routeId": 1, "routeInfo": "string"
}, "serialNumber": "string"
}, "observationType": { "credit": 1, "nounCode": "string", "nounId": 1, "observationTypeCode": "string", "observationTypeId": 1, "observationTypeInfo": "string"
}
}